<?php
$options = thrive_get_options_for_post( get_the_ID() );
$post_template = _thrive_get_item_template( get_the_ID() );
$style_options = _thrive_get_header_style_options( $options );
?><!DOCTYPE html>
<?php tha_html_before(); ?>
<html <?php language_attributes(); ?>>
<head>
	<?php tha_head_top(); ?>
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri() ?>/js/html5/dist/html5shiv.js"></script>
	<script src="//css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
	<![endif]-->
	<!--[if IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri() ?>/css/ie8.css"/>
	<![endif]-->
	<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri() ?>/css/ie7.css"/>
	<![endif]-->
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php if ( $options['favicon'] && ! empty( $options['favicon'] ) ): ?>
		<link rel="shortcut icon" href="<?php echo $options['favicon']; ?>"/>
	<?php endif; ?>

	<?php if ( isset( $options['analytics_header_script'] ) && ! empty( $options['analytics_header_script'] ) ): ?>
		<?php echo $options['analytics_header_script']; ?>
	<?php endif; ?>

	<?php thrive_enqueue_head_fonts(); ?>
	<?php wp_head(); ?>
	<?php if ( isset( $options['custom_css'] ) && $options['custom_css'] != "" ): ?>
		<style type="text/css"><?php echo $options['custom_css']; ?></style>
	<?php endif; ?>
	<?php tha_head_bottom(); ?>

</head>

<body <?php body_class( $style_options['body_class'] ); ?> <?php echo $style_options['body_attrs']; ?>>

<?php if ( isset( $options['analytics_body_script_top'] ) && ! empty( $options['analytics_body_script_top'] ) ): ?>
	<?php echo $options['analytics_body_script_top']; ?>
<?php endif; ?>

<div class="fx-b <?php echo $style_options['body_class']; ?>" <?php echo $style_options['body_attrs']; ?>></div>
<?php _thrive_render_top_fb_script(); ?>

<?php tha_body_top(); ?>

<?php tha_header_before(); ?>

<?php unset( $GLOBALS['thrive_post_excerpts'] ); /* clear out any content that would have been generated for the <head> meta tags */ ?>

<div class="h-b <?php echo $style_options['header_container_class']; ?>"
     id="floating_menu" <?php echo $style_options['float_menu_attr']; ?>>


	<div class="wrp">
		<div class="mobile-navbar" style="display:none;">
			<?php if ( $post_template != "Landing Page" ): ?>
				<button>
					<span></span>
					<span></span>
					<span></span>
				</button>
			<?php endif; ?>
			<?php if ( $options['logo_type'] == "text" ): ?>
				<a class="mtl" href="<?php echo home_url( '/' ); ?>"><?php echo $options['logo_text']; ?></a>
			<?php elseif ( ! empty( $options['logo'] ) ): ?>
				<a href="<?php echo home_url( '/' ); ?>"><img src="<?php echo $options['logo']; ?>" alt=""/></a>
			<?php endif; ?>
		</div>
		<div class="mobile-mask"></div>

		<header class="<?php echo $style_options['logo_pos_class']; ?>">
			<?php
			if ( get_theme_mod( 'thrivetheme_header_logo' ) != 'hide' ):
				$thrive_logo = false;
				if ( $options['logo_type'] == "text" ):
					if ( get_theme_mod( 'thrivetheme_header_logo' ) != 'hide' ):
						?>
						<div id="text-logo" <?php echo $style_options['logo_style']; ?>
						     class="<?php if ( $options['logo_color'] == "default" ): ?><?php echo $options['color_scheme'] ?><?php else: ?><?php echo $options['logo_color'] ?><?php endif; ?> ">
							<a href="<?php echo home_url( '/' ); ?>"><?php echo $options['logo_text']; ?></a>
						</div>
					<?php endif; ?>
				<?php elseif ( $options['logo'] && $options['logo'] != "" ): $thrive_logo = true; ?>
					<div id="logo" <?php echo $style_options['logo_style']; ?>>
						<a href="<?php echo home_url( '/' ); ?>">
							<img src="<?php echo $options['logo']; ?>"
							     alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
					</div>
					<?php
				endif;
			endif;
			?>
			<?php if ( $post_template != "Landing Page" ): ?>
				<div class="m-s">
					<div class="m-si" style="<?php echo $style_options['header_style']; ?>">
						<div class="m-sb">
							<?php if ( $options['header_phone'] == 1 ): ?>
								<div
									class="phone_mobile <?php if ( $options['header_phone_btn_color'] == "default" ): ?><?php echo $options['color_scheme']; ?><?php else: ?><?php echo $options['header_phone_btn_color']; ?><?php endif; ?>">
									<a href="tel:<?php echo $options['header_phone_no']; ?>">
										<div class="phr">
											<div class="mphr"><?php echo $options['header_phone_text_mobile']; ?></div>
											<div class="fphr"><?php echo $options['header_phone_text']; ?></div>
											<div class="apnr"><?php echo $options['header_phone_no']; ?></div>
										</div>
									</a>
								</div>
							<?php endif; ?>
							<?php if ( has_nav_menu( "primary" ) ): ?>
								<?php wp_nav_menu( array(
									'container'      => 'nav',
									'depth'          => 0,
									'theme_location' => 'primary',
									'menu_class'     => 'menu',
									'walker'         => new thrive_custom_menu_walker()
								) ); ?>
								<?php require_once get_template_directory() . '/inc/templates/woocommerce-navbar-mini-cart.php'; ?>
							<?php else: ?>
								<div class="dfm">
									<?php _e( "Assign a 'primary' menu", 'thrive' ); ?>
								</div>
							<?php endif; ?>

							<?php if ( $options['header_phone'] == 1 ): ?>
								<div
									class="phone <?php if ( $options['header_phone_btn_color'] == "default" ): ?><?php echo $options['color_scheme']; ?><?php else: ?><?php echo $options['header_phone_btn_color']; ?><?php endif; ?>">
									<a href="tel:<?php echo $options['header_phone_no']; ?>">
										<div class="phr">
											<div class="mphr"><?php echo $options['header_phone_text_mobile']; ?></div>
											<div class="fphr"><?php echo $options['header_phone_text']; ?></div>
											<div class="apnr"><?php echo $options['header_phone_no']; ?></div>
										</div>
									</a>
								</div>
							<?php endif; ?>

						</div>
					</div>
				</div>
			<?php endif; ?>
		</header>
	</div>

</div>

<?php tha_content_before(); ?>

<?php tha_content_top(); ?>
