<?php
$fname                = get_the_author_meta( 'first_name' );
$lname                = get_the_author_meta( 'last_name' );
$desc                 = get_the_author_meta( 'description' );
$thrive_social        = array_filter( array(
	"tw"   => get_the_author_meta( 'twitter' ),
	"fb"   => get_the_author_meta( 'facebook' ),
	"gg"   => get_the_author_meta( 'gplus' ),
	"lnkd" => get_the_author_meta( 'linkedin' ),
	"xi"   => get_the_author_meta( 'xing' )
) );
$show_social_profiles = explode( ',', get_the_author_meta( 'show_social_profiles' ) );
$show_social_profiles = array_filter( $show_social_profiles );
if ( empty( $show_social_profiles ) ) { // back-compatibility
	$show_social_profiles = array( 'e', 'fb', 'tw', 'gg' );
}
$author_name  = get_the_author_meta( 'display_name' );
$display_name = empty( $author_name ) ? $fname . " " . $lname : $author_name;
?>

<div class="aut">
	<div class="aut-l">
		<div class="cvri"
		     style="background-image: url('<?php echo esc_attr( get_the_author_meta( 'tt_authorbox_image' ) ); ?>')"></div>
		<div class="avc">
			<img class="avatar"
			     src="<?php echo _thrive_get_avatar_url( get_avatar( get_the_author_meta( 'user_email' ), 180 ) ); ?>"
			     alt="<?php echo get_the_author() ?>">
		</div>
	</div>
	<div class="aut-r">
		<h4><?php _e( "About the Author", 'thrive' ); ?></h4>
		<h5>
			<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_the_author(); ?></a>
		</h5>

		<p><?php echo $desc; ?></p>
	</div>
	<?php if ( ! empty( $thrive_social['tw'] ) || ! empty( $thrive_social['fb'] ) || ! empty( $thrive_social['gg'] ) || ! empty( $thrive_social['lnkd'] ) || ! empty( $thrive_social['xi'] ) ): ?>
		<div class="cm-s">
			<div class="cm-p">
				<div class="cm-i">
					<p><?php _e( "Follow", 'thrive' ); ?> <?php echo get_the_author(); ?>:</p>

					<?php foreach ( $thrive_social as $service => $url ): ?>
						<?php if ( in_array( $service, $show_social_profiles ) || empty( $show_social_profiles[0] ) ) { ?>
							<?php $url = _thrive_get_social_link( $url, $service ); ?>
							<div class="ss">
								<a class="<?php echo $service; ?>" href="<?php echo $url; ?>" target="_blank"></a>
							</div>
						<?php } ?>
					<?php endforeach; ?>

				</div>
			</div>
		</div>
	<?php endif; ?>
</div>