<?php
$options                         = thrive_get_theme_options();
$GLOBALS['thrive_theme_options'] = $options;
if ( isset( $options['meta_author_name'] ) && $options['meta_author_name'] == 1 ) {
	$author_info = _thrive_get_author_info( get_the_author_meta( 'ID' ) );
}
$post_format         = _thrive_get_post_format();
$post_format_options = _thrive_get_post_format_fields( $post_format, get_the_ID() );
$featured_image_src  = _thrive_get_featured_image_src( "tt_grid_layout", get_the_ID() );
?>
<?php if ( $post_format == "quote" ): ?>
	<div class="mry-i">
		<article>
			<div class="awr-e">
				<div class="awr">
					<a href="<?php the_permalink(); ?>">
						<div class="quo <?php if ( $featured_image_src ): ?>quf<?php endif; ?>"
						     <?php if ( $featured_image_src ): ?>style="background-image: url('<?php echo $featured_image_src; ?>')"<?php endif; ?>>
							<div class="qu-i">
								<div class="qtx"><span></span></div>
								<h2><?php echo $post_format_options['quote_text']; ?></h2>
								<?php if ( ! empty( $post_format_options['quote_author'] ) ): ?>
									<h6><?php echo $post_format_options['quote_author']; ?></h6>
								<?php endif; ?>
							</div>
						</div>
					</a>
				</div>
			</div>
		</article>
	</div>
	<?php
else: ?>
	<div class="mry-i">
		<article>
			<div class="awr-e">
				<div class="awr">
					<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

					<div class="m-f">
						<?php if ( $options['meta_comment_count'] == 1 && get_comments_number() > 0 ): ?>
							<div class="meta">
								<div class="met met-a"><a
										href="<?php the_permalink(); ?>#comments"><?php echo get_comments_number(); ?></a>
								</div>
							</div>
						<?php endif; ?>

						<?php if ( $featured_image_src && $post_format == "standard" ): ?>
							<a class="fwit" style="background-image: url('<?php echo $featured_image_src; ?>')"
							   href="<?php the_permalink(); ?>"></a>
						<?php endif; ?>

						<?php if ( $post_format == "audio" && $featured_image_src ): ?>
							<div
								class="fwit ha <?php if ( $post_format_options['audio_type'] == "soundcloud" ): ?>sd<?php endif; ?>"
								style="background-image: url('<?php echo $featured_image_src; ?>')">
								<div class="ap">
									<?php if ( $post_format_options['audio_type'] != "soundcloud" ): ?>
										<?php echo do_shortcode( "[audio src='" . $post_format_options['audio_file'] . "'][/audio]" ); ?>
									<?php else: ?>
										<?php echo $post_format_options['audio_soundcloud_embed_code']; ?>
									<?php endif; ?>
								</div>
							</div>
						<?php endif; ?>


						<?php if ( $post_format == "gallery" ):
							$thrive_meta_postformat_gallery_images = get_post_meta( get_the_ID(), '_thrive_meta_postformat_gallery_images', true );
							$thrive_gallery_ids = explode( ",", $thrive_meta_postformat_gallery_images );
							?>
							<?php
							if ( count( $thrive_gallery_ids ) > 0 ):
								$first_img_url = wp_get_attachment_url( $thrive_gallery_ids[0] );
								?>

								<div id="thrive-gallery-header-<?php echo get_the_ID(); ?>" class=""
								     data-count="<?php echo count( $thrive_gallery_ids ); ?>" data-index="0">
									<div class="hui fwit"
									     style="background: url('<?php echo $first_img_url; ?>');">
									</div>
									<div class="gnav clearfix">
										<div class="gwrp">
											<a class="gprev" href="">
                                    <span>
                                        <?php _e( "Previous", 'thrive' ); ?>
                                    </span>
											</a>
											<ul class="clearfix">
												<?php
												foreach ( $thrive_gallery_ids as $key => $id ):
													$img_url = wp_get_attachment_url( $id );
													if ( $img_url ):
														?>
														<li id="li-thrive-gallery-item-<?php echo $key; ?>">
															<a class="thrive-gallery-item" href=""
															   style="background-image: url('<?php echo $img_url; ?>');"
															   data-src="<?php echo $img_url; ?>"
															   data-index="<?php echo $key; ?>"></a>
														</li>
														<?php
													endif;
												endforeach;
												?>
											</ul>
											<a class="gnext" href="">
                                    <span>
                                        <?php _e( "Next", 'thrive' ); ?>
                                    </span>
											</a>
										</div>
									</div>

								</div>
							<?php endif; ?>
						<?php endif; ?>

					</div>

					<?php if ( $post_format == "image" && $featured_image_src ): ?>
						<div class="m-f">
							<a class="fwit" style="background-image: url('<?php echo $featured_image_src; ?>')">
							</a>
						</div>
					<?php endif; ?>

					<?php if ( $post_format == "audio" && ! $featured_image_src ): ?>
						<?php if ( $post_format_options['audio_type'] != "soundcloud" ): ?>
							<?php echo do_shortcode( "[audio src='" . $post_format_options['audio_file'] . "'][/audio]" ); ?>
						<?php else: ?>
							<?php echo $post_format_options['audio_soundcloud_embed_code']; ?>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( $post_format == "video" ): ?>
						<?php if ( $post_format == "video" ): ?>
							<?php if ( $featured_image_src ): ?>
								<?php $wistiaVideoCode = ( strpos( $post_format_options['video_code'], "wistia" ) !== false ) ? ' wistia-video-container' : ''; ?>
								<div class="vt vi<?php echo $wistiaVideoCode; ?>"
								     style="background-image: url('<?php echo $featured_image_src; ?>');">
									<div class="vt-t">
										<div class="pvb">
											<a href=""></a>
										</div>
									</div>
									<div class="vt-v">
										<div class="vt-vi">
											<?php echo $post_format_options['video_code']; ?>
										</div>
									</div>
								</div>
							<?php else: ?>
								<?php if ( ! empty( $post_format_options['video_code'] ) ): ?>
									<div
										class="<?php if ( $post_format_options['video_type'] != "custom" && $post_format_options['video_type'] != "custom_embed" ): ?>rve<?php endif; ?> pv vt">
										<?php echo $post_format_options['video_code']; ?>
									</div>
								<?php endif; ?>
							<?php endif; ?>
						<?php endif; ?>
					<?php endif; ?>
					<?php if ( $post_format != "image" ): ?>
						<p>
							<?php echo _thrive_get_post_text_content_excerpt( get_the_content(), get_the_ID(), 100 ); ?>
						</p>
							<?php $read_more_text = ( $options['other_read_more_text'] != "" ) ? $options['other_read_more_text'] : "Read more"; ?>
							<?php if ( $options['other_read_more_type'] == "button" ): ?>
								<a href="<?php the_permalink(); ?>"
								   class="btn medium mre <?php echo $options['color_scheme'] ?>"><span><?php echo $read_more_text ?></span></a>
							<?php else: ?>
								<a href='<?php the_permalink(); ?>' class=''><?php echo $read_more_text ?></a>
							<?php endif; ?>
						<?php if ( isset( $options['meta_post_tags'] ) && $options['meta_post_tags'] == 1 ): ?>
							<?php if ( $posttags = get_the_tags() ): ?>
								<footer>
									<div class="tgs">
										<?php foreach ( $posttags as $key => $tag ): ?>
											<a href="<?php echo get_tag_link( $tag->term_id ); ?>">#<?php echo $tag->name; ?></a>
											<?php if ( $key != count( $posttags ) - 1 && isset( $posttags[ $key + 1 ] ) ): ?>, <?php endif; ?>
										<?php endforeach; ?>
									</div>
								</footer>
							<?php endif; ?>
						<?php endif; ?>
					<?php endif; ?>
				</div>
			</div>
		</article>
	</div>
<?php endif; ?>