<?php
$options             = thrive_get_options_for_post( get_the_ID() );
$post_format         = _thrive_get_post_format();
$post_format_options = _thrive_get_post_format_fields( $post_format, get_the_ID() );
$featured_image_src  = _thrive_get_featured_image_src( $options['featured_image_style'], get_the_ID() );
$featured_image_data = thrive_get_post_featured_image( get_the_ID(), $options['featured_image_style'] );
?>
	<article>
		<div class="awr-e">
			<div
				class="<?php echo _thrive_get_article_container_class( $options, $post_format, $featured_image_src ); ?>">
				<?php if ( $post_format == "quote" ): ?>
					<div class="m-f">
						<div class="quo <?php if ( $featured_image_src ): ?>quf<?php endif; ?>"
						     <?php if ( $featured_image_src ): ?>style="background-image: url('<?php echo $featured_image_src; ?>')"<?php endif; ?>>
							<div class="qu-i">
								<div class="qtx"><span></span></div>
								<h1><?php echo $post_format_options['quote_text']; ?></h1>
								<?php if ( ! empty( $post_format_options['quote_author'] ) ): ?>
									<h6><?php echo $post_format_options['quote_author']; ?></h6>
								<?php endif; ?>
							</div>
						</div>

						<?php _thrive_render_default_meta_partial( get_the_ID(), $options ); ?>
					</div>
				<?php else: ?>
					<?php if ( $options['show_post_title'] == 1 ): ?>
						<h1 class="entry-title">
							<?php the_title(); ?>
						</h1>
					<?php endif; ?>

					<div class="m-f">
						<?php if ( ( $options['featured_image_style'] == "wide" && $featured_image_src && $post_format == "standard" ) || ( $post_format == "image" && $featured_image_src ) ): ?>
							<div class="fwit" style="background-image: url('<?php echo $featured_image_src; ?>')"></div>
						<?php endif; ?>

						<?php if ( $post_format == "gallery" ):
							$thrive_meta_postformat_gallery_images = get_post_meta( get_the_ID(), '_thrive_meta_postformat_gallery_images', true );
							$thrive_gallery_ids = explode( ",", $thrive_meta_postformat_gallery_images );
							?>
							<?php
							if ( count( $thrive_gallery_ids ) > 0 ):
								$first_img_url = wp_get_attachment_url( $thrive_gallery_ids[0] );
								?>

								<div id="thrive-gallery-header-<?php echo get_the_ID(); ?>" class=""
								     data-count="<?php echo count( $thrive_gallery_ids ); ?>" data-index="0">
									<div class="hui fwit"
									     style="background: url('<?php echo $first_img_url; ?>');">
										<img id="thive-gallery-dummy" class="tt-dmy gallery-dmy"
										     src="<?php echo $first_img_url; ?>" alt="">
									</div>
									<div class="gnav clearfix">
										<div class="gwrp">
											<a class="gprev" href="">
                                    <span>
                                        <?php _e( "Previous", 'thrive' ); ?>
                                    </span>
											</a>
											<ul class="clearfix">
												<?php
												foreach ( $thrive_gallery_ids as $key => $id ):
													$img_url = wp_get_attachment_url( $id );
													if ( $img_url ):
														?>
														<li id="li-thrive-gallery-item-<?php echo $key; ?>">
															<a class="thrive-gallery-item" href=""
															   style="background-image: url('<?php echo $img_url; ?>');"
															   data-src="<?php echo $img_url; ?>"
															   data-index="<?php echo $key; ?>"></a>
														</li>
														<?php
													endif;
												endforeach;
												?>
											</ul>
											<a class="gnext" href="">
                                    <span>
                                        <?php _e( "Next", 'thrive' ); ?>
                                    </span>
											</a>
										</div>
									</div>

								</div>
							<?php endif; ?>
						<?php endif; ?>

						<?php _thrive_render_default_meta_partial( get_the_ID(), $options ); ?>

						<?php if ( $options['featured_image_style'] == "thumbnail" && $featured_image_src && $post_format == "standard" ): ?>
							<div class="thi">
								<img src="<?php echo $featured_image_src; ?>"
								     alt="<?php echo $featured_image_data['image_alt'] ?>"
								     title="<?php echo $featured_image_data['image_title'] ?>"/>
							</div>
						<?php endif; ?>

						<?php if ( $post_format == "audio" && $featured_image_src && $post_format_options['audio_type'] != "soundcloud" ): ?>
							<div class="fwit ha" style="background-image: url('<?php echo $featured_image_src; ?>')">
								<div class="ap">
									<?php if ( $post_format_options['audio_type'] != "soundcloud" ): ?>
										<?php echo do_shortcode( "[audio src='" . $post_format_options['audio_file'] . "'][/audio]" ); ?>
									<?php else: ?>
										<?php echo $post_format_options['audio_soundcloud_embed_code']; ?>
									<?php endif; ?>
								</div>
							</div>
							<div class="clear"></div>
						<?php endif; ?>
					</div>

					<?php if ( $post_format == "audio" && ( ! $featured_image_src || $post_format_options['audio_type'] == "soundcloud" ) ): ?>
						<?php if ( $post_format_options['audio_type'] != "soundcloud" ): ?>
							<?php echo do_shortcode( "[audio src='" . $post_format_options['audio_file'] . "'][/audio]" ); ?>
						<?php else: ?>
							<?php echo $post_format_options['audio_soundcloud_embed_code']; ?>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( $post_format == "video" ): ?>
						<?php if ( $featured_image_src ): ?>
							<?php $wistiaVideoCode = ( strpos( $post_format_options['video_code'], "wistia" ) !== false ) ? ' wistia-video-container' : ''; ?>
							<div class="vt vi<?php echo $wistiaVideoCode; ?>"
							     style="background-image: url('<?php echo $featured_image_src; ?>');">
								<div class="vt-t">
									<div class="pvb">
										<a href=""></a>
									</div>
								</div>
								<div class="vt-v">
									<div class="vt-vi">
										<?php echo $post_format_options['video_code']; ?>
									</div>
								</div>
							</div>
						<?php else: ?>
							<?php if ( ! empty( $post_format_options['video_code'] ) ): ?>
								<div
									class="<?php if ( $post_format_options['video_type'] != "custom" && $post_format_options['video_type'] != "custom_embed" ): ?>rve<?php endif; ?> pv vt">
									<?php echo $post_format_options['video_code']; ?>
								</div>
							<?php endif; ?>
						<?php endif; ?>
					<?php endif; ?>

				<?php endif; ?>
				<?php the_content(); ?>

				<?php
				wp_link_pages( array(
					'before'           => '<p class="ctr pgn">',
					'after'            => '</p>',
					'next_or_number'   => 'next_and_number',
					'nextpagelink'     => __( 'Next', 'thrive' ),
					'previouspagelink' => __( 'Previous', 'thrive' ),
					'echo'             => 1
				) );
				?>

				<?php if ( $options['enable_social_buttons'] == 1 ): ?>
					<?php get_template_part( 'partials/share-buttons' ); ?>
				<?php endif; ?>
				<?php if ( isset( $options['meta_post_tags'] ) && $options['meta_post_tags'] == 1 ): ?>
					<?php if ( $posttags = get_the_tags() ): ?>
						<div class="tgs">
							<?php foreach ( $posttags as $key => $tag ): ?>
								<a href="<?php echo get_tag_link( $tag->term_id ); ?>">#<?php echo $tag->name; ?></a>
								<?php if ( $key != count( $posttags ) - 1 && isset( $posttags[ $key + 1 ] ) ): ?>, <?php endif; ?>
							<?php endforeach; ?>
						</div>
					<?php endif; ?>
				<?php endif; ?>
			</div>

			<?php if ( isset( $options['bottom_about_author'] ) && $options['bottom_about_author'] == 1 ): ?>
				<?php get_template_part( "partials/authorbox" ); ?>
			<?php endif; ?>

		</div>
	</article>

<?php
if ( thrive_check_bottom_focus_area() ):
	thrive_render_top_focus_area( "bottom" );
endif; ?>

	<article>
		<?php _thrive_render_bottom_related_posts( get_the_ID(), $options ); ?>
	</article>

<?php if ( ! post_password_required() && ( ! is_page() || ( is_page() && $options['comments_on_pages'] != 0 ) ) ) : ?>
	<?php comments_template( '', true ); ?>
<?php elseif ( ( ! comments_open() ) && get_comments_number() > 0 ): ?>
	<?php comments_template( '/comments-disabled.php' ); ?>
<?php endif; ?>

<?php if ( isset( $options['bottom_previous_next'] ) && $options['bottom_previous_next'] == 1 ): ?>
	<?php
	$next_post      = get_adjacent_post( false, '', false );
	$read_more_text = __( "Read Next", 'thrive' );
	if ( ! $next_post ) {
		$next_post      = get_adjacent_post( false, '', true );
		$read_more_text = __( "Read Previous", 'thrive' );
	}
	?>
	<?php if ( $next_post ): ?>
		<article class="npa"
		         style="background-image: url('<?php echo _thrive_get_next_post_section_bg_image( $next_post->ID ); ?>')">
			<a href="<?php echo get_permalink( $next_post ); ?>">
				<div class="npp">
					<span><?php echo $read_more_text; ?></span>
				</div>
				<div class="npt">
					<div class="npi">
						<h2><?php echo $next_post->post_title; ?></h2>

						<p>
							<?php echo _thrive_get_post_text_content_excerpt( strip_shortcodes( $next_post->post_content ), $next_post->ID, 350, array(), true ); ?>
							...
						</p>
					</div>
				</div>
			</a>
		</article>
	<?php endif; ?>

<?php endif; ?>